<template>
  <q-layout view="lHh LpR lFf">
    <q-header elevated>
      <q-toolbar>
        <q-toolbar-title>
          <q-btn
            flat
            no-caps
            size="lg"
            to="/"
            label="GetCovaxIN"
          />
        </q-toolbar-title>

        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="rightDrawerOpen = !rightDrawerOpen"
        />
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="rightDrawerOpen"
      side="right"
      show-if-above
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          Essential Links
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>

    <q-footer reveal class="bg-primary text-white row justify-evenly q-pt-sm">
      <div class="col-12 col-md-8">
        <div class="column items-center">
          <div class="row justify-center">
            <q-btn flat icon="fas fa-blog" type="a" target="blank" href="https://rebhu.blog" />
            <q-btn flat icon="mdi-twitter" type="a" target="blank" href="https://twitter.com/RebhuComputing" />
            <q-btn flat icon="mdi-reddit" type="a" target="blank" href="https://www.reddit.com/r/rebhu/" />
            <q-btn flat icon="mdi-gitlab" type="a" target="blank" href="https://gitlab.com/rebhu" />
            <q-btn flat icon="fab fa-gitter" type="a" target="blank" href="https://app.element.io/#/group/+rebhu:matrix.org" />
            <q-btn flat icon="mdi-discord" type="a" target="blank" href="https://discord.gg/gyEmmnTu" />
            <q-btn flat icon="fab fa-angellist" type="a" target="blank" href="https://angel.co/company/rebhu-computing" />
            <q-btn flat icon="mdi-linkedin" type="a" target="blank" href="https://www.linkedin.com/company/rebhu-computing" />
            <q-btn flat icon="mdi-instagram" type="a" target="blank" href="https://www.instagram.com/rebhu.computing/" />
            <q-btn flat icon="mdi-facebook" type="a" target="blank" href="https://www.facebook.com/rebhucomputing/" />
          </div>
          <q-toolbar class="row justify-between">
            <span class="text-center">Copyright &#169; 2021 Rebhu Computing</span>
            <span class="text-center">Best experience on Firefox</span>
          </q-toolbar>
        </div>
      </div>
    </q-footer>
  </q-layout>
</template>

<script lang="ts">
import EssentialLink from 'components/EssentialLink.vue'

const linksData = [
  {
    title: 'Twitter',
    caption: 'Give feedback and ask for features',
    icon: 'mdi-twitter',
    link: 'https://twitter.com/RebhuComputing'
  },
  {
    title: 'About Us',
    caption: 'Built by Rebhu Computing',
    icon: 'people',
    link: 'https://rebhu.com'
  },
  {
    title: 'Privacy Policy',
    caption: 'How we process data',
    icon: 'shield',
    link: 'privacy'
  },
  {
    title: 'Terms of Service',
    caption: '',
    icon: 'gavel',
    link: 'tos'
  },
  {
    title: 'Oxchange',
    caption: 'COVID-19 relief tool for O2 cylinder',
    icon: 'mdi-gas-cylinder',
    link: 'https://sushrut.codes'
  }
];

import { defineComponent, ref } from '@vue/composition-api';

export default defineComponent({
  name: 'MainLayout',
  components: { EssentialLink },
  setup() {
    const rightDrawerOpen = ref(false);
    const essentialLinks = ref(linksData);

    return {rightDrawerOpen, essentialLinks}
  }
});
</script>
